package org.yaoqiang.bpmn.model.elements.collaboration;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * Participants
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Participants extends XMLCollection {

	public Participants(Collaboration parent) {
		super(parent, "participants");
	}

	public XMLElement generateNewElement() {
		return new Participant(this);
	}

	public String getElementName() {
		return "participant";
	}
	
}
