package org.yaoqiang.bpmn.model.elements.conversations;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.collaboration.Collaboration;

/**
 * ConversationLinks
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ConversationLinks extends XMLCollection {

	public ConversationLinks(Collaboration parent) {
		super(parent, "conversationLinks");
	}

	public XMLElement generateNewElement() {
		return new ConversationLink(this);
	}

	public String getElementName() {
		return "conversationLink";
	}
	
}
