package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;
import org.yaoqiang.bpmn.model.elements.core.foundation.RootElement;
import org.yaoqiang.bpmn.model.elements.core.foundation.RootElements;

/**
 * CorrelationProperty
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CorrelationProperty extends BaseElement implements RootElement {

	public CorrelationProperty(RootElements parent) {
		super(parent, "correlationProperty");
	}

	protected void fillStructure() {
		XMLAttribute attrName = new XMLAttribute(this, "name");
		XMLAttribute attrType = new XMLAttribute(this, "type");
		CorrelationPropertyRetrievalExpressions refCorrelationPropertyRetrievalExpressions = new CorrelationPropertyRetrievalExpressions(this);

		super.fillStructure();
		add(attrName);
		add(attrType);
		add(refCorrelationPropertyRetrievalExpressions);
	}

}
