package org.yaoqiang.bpmn.model.elements.core.foundation;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * ExtensionAttributeDefinitions
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ExtensionAttributeDefinitions extends XMLCollection {

	public ExtensionAttributeDefinitions(ExtensionDefinition parent) {
		super(parent, "extensionAttributeDefinitions");
	}

	public XMLElement generateNewElement() {
		return new ExtensionAttributeDefinition(this);
	}

	public String getElementName() {
		return "extensionAttributeDefinition";
	}

	public ExtensionDefinition getParent() {
		return (ExtensionDefinition) parent;
	}

}
