package org.yaoqiang.bpmn.model.elements.core.foundation;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * ExtensionAttributeValues
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ExtensionAttributeValues extends XMLCollection {

	public ExtensionAttributeValues(BaseElement parent) {
		super(parent, "extensionValues");
	}

	public XMLElement generateNewElement() {
		return new ExtensionAttributeValue(this);
	}

	public String getElementName() {
		return "extensionAttributeValue";
	}

	public BaseElement getParent() {
		return (BaseElement) parent;
	}

}
