package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * DataInputs
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class DataInputs extends XMLCollection {

	public DataInputs(XMLElement parent) {
		super(parent, "dataInputs");
	}
	
	public XMLElement generateNewElement() {
		DataInput dataInput = new DataInput(this);
		String id = null;
		if (getParent().getParent() instanceof BaseElement) {
			id = createId("Din" + ((BaseElement)getParent().getParent()).getId());
		} else {
			id = createId("Din" + ((BaseElement)getParent()).getId());
		}
		dataInput.setId(id);
		return dataInput;
	}

	public String getElementName() {
		return "dataInput";
	}

}
