package org.yaoqiang.bpmn.model.elements.bpmndi;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.infrastructure.Definitions;

/**
 * BPMNDiagrams
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class BPMNDiagrams extends XMLCollection {

	public BPMNDiagrams(Definitions parent) {
		super(parent, "diagrams");
	}

	public XMLElement generateNewElement() {
		return new BPMNDiagram(this);
	}

	public String getElementName() {
		return "BPMNDiagram";
	}
	
}
