package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.XMLTextElements;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * CorrelationKey
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CorrelationKey extends BaseElement {

	public CorrelationKey(CorrelationKeys parent) {
		super(parent, "correlationKey");
	}

	protected void fillStructure() {
		XMLAttribute attrName = new XMLAttribute(this, "name");
		XMLTextElements refCorrelationPropertyRefs = new XMLTextElements(this, "correlationPropertyRef");

		super.fillStructure();
		add(attrName);
		add(refCorrelationPropertyRefs);
	}

	public CorrelationKeys getParent() {
		return (CorrelationKeys) parent;
	}

}
