package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * FormalExpression
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class FormalExpression extends Expression {

	public FormalExpression(XMLElement parent) {
		super(parent, "formalExpression");
	}
	
	public FormalExpression(XMLElement parent, String name) {
		super(parent, name);
	}

	protected void fillStructure() {
		XMLAttribute attrLanguage = new XMLAttribute(this, "language");
		// TODO: BPMN 2.0
		//ItemDefinition refEvaluatesToTypeRef = new ItemDefinition(this, "evaluatesToTypeRef");

		super.fillStructure();
		add(attrLanguage);
		//add(refEvaluatesToTypeRef);
	}

}
