package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * ResourceParameters
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ResourceParameters extends XMLCollection {

	public ResourceParameters(Resource parent) {
		super(parent, "resourceParameters");
	}

	public XMLElement generateNewElement() {
		ResourceParameter resourceParameter = new ResourceParameter(this);
		resourceParameter.setId(createId(((Resource) getParent()).getId() + "_P"));
		return resourceParameter;
	}
	
	public String getElementName() {
		return "resourceParameter";
	}
	
}
