package org.yaoqiang.bpmn.model.elements.core.foundation;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * Documentations
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Documentations extends XMLCollection {

	public Documentations(BaseElement parent) {
		super(parent, "documentations");
	}

	public XMLElement generateNewElement() {
		Documentation documentation = new Documentation(this);
		documentation.setId(createId(((BaseElement) getParent()).getId() + "_D"));
		return documentation;
	}

	public String getElementName() {
		return "documentation";
	}
	
}
