package org.yaoqiang.bpmn.model.elements.core.foundation;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.infrastructure.Definitions;

/**
 * Relationships
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Relationships extends XMLCollection {

	public Relationships(Definitions parent) {
		super(parent, "relationships");
	}

	public XMLElement generateNewElement() {
		return new Relationship(this);
	}

	public String getElementName() {
		return "relationship";
	}

	public Definitions getParent() {
		return (Definitions) parent;
	}

}
