package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * InputSets
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class InputSets extends XMLCollection {

	public InputSets(InputOutputSpecification parent) {
		super(parent, "inputSets");
	}

	public XMLElement generateNewElement() {
		return new InputSet(this);
	}
	
	public String getElementName() {
		return "inputSet";
	}

	public InputOutputSpecification getParent() {
		return (InputOutputSpecification) parent;
	}

}
