package org.yaoqiang.bpmn.model.elements.events;

import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * TimerEventDefinition
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class TimerEventDefinition extends EventDefinition {

	public TimerEventDefinition(XMLElement parent) {
		super(parent, "timerEventDefinition");
	}

	protected void fillStructure() {
		TimerTypes refTimerTypes = new TimerTypes(this);

		super.fillStructure();
		add(refTimerTypes);
	}

	public final TimerTypes getTimerTypes() {
		return (TimerTypes) get("TimerTypes");
	}
	
}
